org.keycloak.services

## Interface ServicesLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      public interface ServicesLogger
      extends org.jboss.logging.BasicLogger

  Main logger for the Keycloak Services module.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServicesLogger` | `ROOT_LOGGER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionProviderNull()`
    `void` | `addedKerberosToRealmCredentials()`
    `void` | `addUserFailed(Throwable t, String user, String realm)`
    `void` | `addUserFailedRealmNotFound(String user, String realm)`
    `void` | `addUserFailedUserExists(String user, String realm)`
    `void` | `addUserSuccess(String user, String realm)`
    `void` | `authMethodFallback(String clientId, String expectedClientAuthType)`
    `void` | `availabilityTestFailed(String managementUrl)`
    `void` | `clientModelNull()`
    `void` | `clientRegistrationException(String message)`
    `void` | `clientSessionNull()`
    `void` | `confirmBrokerEmailFailed(Throwable t)`
    `void` | `couldNotFireEvent(Exception e)`
    `void` | `createdInitialAdminUser(String userName)`
    `void` | `creationError(Exception e, String name)`
    `void` | `errorAuthenticating(Exception e, String message)`
    `void` | `errorAuthenticatingClient(Throwable t)`
    `void` | `errorClosingLDAP(NamingException ne)`
    `void` | `errorDuringChangedUserSync(Throwable t)`
    `void` | `errorDuringFullUserSync(Throwable t)`
    `void` | `errorValidatingAssertion(Throwable t)`
    `void` | `exceptionDuringRollback(RuntimeException e)`
    `void` | `exportSuccess()`
    `void` | `failedAuthentication(Throwable t)`
    `void` | `failedClientAuthentication(Throwable t)`
    `void` | `failedProcessingType(Exception e)`
    `void` | `failedToCloseProviderSession(Throwable t)`
    `void` | `failedToDeleteFile(String fileName)`
    `void` | `failedToFormatMessage(String cause)`
    `void` | `failedToGetThemeRequest(Exception e)`
    `void` | `failedToloadMessages(IOException ioe)`
    `void` | `failedToLoadUsers(Throwable t)`
    `void` | `failedToLogoutClient(Exception e)`
    `void` | `failedToParseRestartLoginCookie(Exception e)`
    `void` | `failedToRunScheduledTask(Throwable t, String taskClass)`
    `void` | `failedToSaveEvent(Throwable t)`
    `void` | `failedToSendActionsEmail(EmailException e)`
    `void` | `failedToSendEmail(Exception e)`
    `void` | `failedToSendPwdResetEmail(EmailException e)`
    `void` | `failedToSendRevocation(IOException ioe)`
    `void` | `failedToSendType(Throwable t, EventListenerProvider listener)`
    `void` | `failedToUpdatePassword(Exception e)`
    `void` | `flowNotAllowed(String flowName)`
    `void` | `flowNotConfigForIDP(String identityProviderAlias)`
    `void` | `flowNotFoundForIDP(String flowId, String identityProviderAlias)`
    `void` | `fullModelExportRequested()`
    `void` | `fullModelImport(String strategy)`
    `void` | `importedRealm(String realmName, String from)`
    `void` | `importSuccess()`
    `void` | `imprtingUsersFrom(Object from)`
    `void` | `initializingAdminRealm(String adminRealmName)`
    `void` | `initialUserAlreadyCreated()`
    `void` | `invalidKeyForEmailVerification()`
    `void` | `invalidParameter(String paramName)`
    `void` | `invalidToken()`
    `void` | `invokingDeprecatedEndpoint(URI requestUri)`
    `void` | `keyParamDoesNotMatch()`
    `void` | `loadingFrom(Object from)`
    `void` | `localeNotSpecified()`
    `void` | `loginFailure(String user, String ip)`
    `void` | `logoutFailed(IOException ioe, String clientId)`
    `void` | `migrationFailure(Throwable t)`
    `void` | `missingParameter(String paramName)`
    `void` | `modelDuplicateException(ModelDuplicateException mde)`
    `void` | `msgBundleNotFound(String lang)`
    `void` | `msgBundleNotFoundForEn()`
    `void` | `multipleValuesForMapper(String attrValue, String mapper)`
    `void` | `noDuplicationDetected()`
    `void` | `noEventStoreProvider()`
    `void` | `notFoundSerializedCtxInClientSession(String noteKey)`
    `void` | `oidcScopeMissing()`
    `void` | `overwriteError(Exception e, String name)`
    `void` | `providerNotFound(String id)`
    `void` | `realmExists(String realmName, String from)`
    `void` | `realmExportRequested(String realmName)`
    `void` | `realmImportRequested(String realmName, String strategy)`
    `void` | `recaptchaFailed(Exception e)`
    `void` | `rejectedNonLocalAttemptToCreateInitialUser(String remoteAddr)`
    `void` | `reqdActionDoesNotMatch()`
    `void` | `resetFlow(String emailOrUserName)`
    `void` | `responseModeQueryNotAllowed()`
    `void` | `roleImportError(Exception e)`
    `void` | `roleNotInRealm(String offlineAccessRole)`
    `void` | `smtpNotConfigured()`
    `void` | `spiMayChange(String factoryId, String factoryClass, String spiName)`
    `void` | `syncingDataForMapper(String modelName, String mapperType, String direction)`
    `void` | `unableToImportRealm(Throwable t, String realmName, String from)`
    `void` | `unknownAction(String action)`
    `void` | `unknownFlow()`
    `void` | `unknownResultStatus()`
    `void` | `unsupportedParameter(String paramName)`
    `void` | `untranslatedProtocol(String errorName)`
    `void` | `userSessionNull()`
    `void` | `usingDeprecatedDirectGrantsOnly()`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### ROOT_LOGGER

          static final ServicesLogger ROOT_LOGGER

  - ### Method Detail

    - #### loadingFrom

          void loadingFrom(Object from)

    - #### migrationFailure

          void migrationFailure(Throwable t)

    - #### realmExists

          void realmExists(String realmName,
                           String from)

    - #### importedRealm

          void importedRealm(String realmName,
                             String from)

    - #### unableToImportRealm

          void unableToImportRealm(Throwable t,
                                   String realmName,
                                   String from)

    - #### imprtingUsersFrom

          void imprtingUsersFrom(Object from)

    - #### failedToLoadUsers

          void failedToLoadUsers(Throwable t)

    - #### addUserFailedRealmNotFound

          void addUserFailedRealmNotFound(String user,
                                          String realm)

    - #### addUserSuccess

          void addUserSuccess(String user,
                              String realm)

    - #### addUserFailedUserExists

          void addUserFailedUserExists(String user,
                                       String realm)

    - #### addUserFailed

          void addUserFailed(Throwable t,
                             String user,
                             String realm)

    - #### failedToDeleteFile

          void failedToDeleteFile(String fileName)

    - #### failedAuthentication

          void failedAuthentication(Throwable t)

    - #### failedClientAuthentication

          void failedClientAuthentication(Throwable t)

    - #### errorAuthenticatingClient

          void errorAuthenticatingClient(Throwable t)

    - #### unknownFlow

          void unknownFlow()

    - #### unknownResultStatus

          void unknownResultStatus()

    - #### authMethodFallback

          void authMethodFallback(String clientId,
                                  String expectedClientAuthType)

    - #### noDuplicationDetected

          void noDuplicationDetected()

    - #### resetFlow

          void resetFlow(String emailOrUserName)

    - #### confirmBrokerEmailFailed

          void confirmBrokerEmailFailed(Throwable t)

    - #### keyParamDoesNotMatch

          void keyParamDoesNotMatch()

    - #### smtpNotConfigured

          void smtpNotConfigured()

    - #### modelDuplicateException

          void modelDuplicateException(ModelDuplicateException mde)

    - #### errorValidatingAssertion

          void errorValidatingAssertion(Throwable t)

    - #### failedToSendPwdResetEmail

          void failedToSendPwdResetEmail(EmailException e)

    - #### recaptchaFailed

          void recaptchaFailed(Exception e)

    - #### failedToSendEmail

          void failedToSendEmail(Exception e)

    - #### fullModelImport

          void fullModelImport(String strategy)

    - #### realmImportRequested

          void realmImportRequested(String realmName,
                                    String strategy)

    - #### importSuccess

          void importSuccess()

    - #### fullModelExportRequested

          void fullModelExportRequested()

    - #### realmExportRequested

          void realmExportRequested(String realmName)

    - #### exportSuccess

          void exportSuccess()

    - #### overwriteError

          void overwriteError(Exception e,
                              String name)

    - #### creationError

          void creationError(Exception e,
                             String name)

    - #### roleImportError

          void roleImportError(Exception e)

    - #### untranslatedProtocol

          void untranslatedProtocol(String errorName)

    - #### usingDeprecatedDirectGrantsOnly

          void usingDeprecatedDirectGrantsOnly()

    - #### invokingDeprecatedEndpoint

          void invokingDeprecatedEndpoint(URI requestUri)

    - #### responseModeQueryNotAllowed

          void responseModeQueryNotAllowed()

    - #### clientSessionNull

          void clientSessionNull()

    - #### clientModelNull

          void clientModelNull()

    - #### invalidToken

          void invalidToken()

    - #### multipleValuesForMapper

          void multipleValuesForMapper(String attrValue,
                                       String mapper)

    - #### spiMayChange

          void spiMayChange(String factoryId,
                            String factoryClass,
                            String spiName)

    - #### exceptionDuringRollback

          void exceptionDuringRollback(RuntimeException e)

    - #### clientRegistrationException

          void clientRegistrationException(String message)

    - #### initializingAdminRealm

          void initializingAdminRealm(String adminRealmName)

    - #### failedToLogoutClient

          void failedToLogoutClient(Exception e)

    - #### failedProcessingType

          void failedProcessingType(Exception e)

    - #### loginFailure

          void loginFailure(String user,
                            String ip)

    - #### unknownAction

          void unknownAction(String action)

    - #### errorAuthenticating

          void errorAuthenticating(Exception e,
                                   String message)

    - #### errorClosingLDAP

          void errorClosingLDAP(NamingException ne)

    - #### logoutFailed

          void logoutFailed(IOException ioe,
                            String clientId)

    - #### failedToSendRevocation

          void failedToSendRevocation(IOException ioe)

    - #### availabilityTestFailed

          void availabilityTestFailed(String managementUrl)

    - #### roleNotInRealm

          void roleNotInRealm(String offlineAccessRole)

    - #### errorDuringFullUserSync

          void errorDuringFullUserSync(Throwable t)

    - #### errorDuringChangedUserSync

          void errorDuringChangedUserSync(Throwable t)

    - #### failedToFormatMessage

          void failedToFormatMessage(String cause)

    - #### failedToloadMessages

          void failedToloadMessages(IOException ioe)

    - #### failedToUpdatePassword

          void failedToUpdatePassword(Exception e)

    - #### couldNotFireEvent

          void couldNotFireEvent(Exception e)

    - #### failedToParseRestartLoginCookie

          void failedToParseRestartLoginCookie(Exception e)

    - #### notFoundSerializedCtxInClientSession

          void notFoundSerializedCtxInClientSession(String noteKey)

    - #### flowNotConfigForIDP

          void flowNotConfigForIDP(String identityProviderAlias)

    - #### flowNotFoundForIDP

          void flowNotFoundForIDP(String flowId,
                                  String identityProviderAlias)

    - #### reqdActionDoesNotMatch

          void reqdActionDoesNotMatch()

    - #### invalidKeyForEmailVerification

          void invalidKeyForEmailVerification()

    - #### userSessionNull

          void userSessionNull()

    - #### actionProviderNull

          void actionProviderNull()

    - #### failedToGetThemeRequest

          void failedToGetThemeRequest(Exception e)

    - #### rejectedNonLocalAttemptToCreateInitialUser

          void rejectedNonLocalAttemptToCreateInitialUser(String remoteAddr)

    - #### createdInitialAdminUser

          void createdInitialAdminUser(String userName)

    - #### initialUserAlreadyCreated

          void initialUserAlreadyCreated()

    - #### localeNotSpecified

          void localeNotSpecified()

    - #### msgBundleNotFound

          void msgBundleNotFound(String lang)

    - #### msgBundleNotFoundForEn

          void msgBundleNotFoundForEn()

    - #### noEventStoreProvider

          void noEventStoreProvider()

    - #### providerNotFound

          void providerNotFound(String id)

    - #### failedToSaveEvent

          void failedToSaveEvent(Throwable t)

    - #### failedToSendType

          void failedToSendType(Throwable t,
                                EventListenerProvider listener)

    - #### addedKerberosToRealmCredentials

          void addedKerberosToRealmCredentials()

    - #### syncingDataForMapper

          void syncingDataForMapper(String modelName,
                                    String mapperType,
                                    String direction)

    - #### failedToSendActionsEmail

          void failedToSendActionsEmail(EmailException e)

    - #### failedToRunScheduledTask

          void failedToRunScheduledTask(Throwable t,
                                        String taskClass)

    - #### failedToCloseProviderSession

          void failedToCloseProviderSession(Throwable t)

    - #### oidcScopeMissing

          void oidcScopeMissing()

    - #### missingParameter

          void missingParameter(String paramName)

    - #### invalidParameter

          void invalidParameter(String paramName)

    - #### unsupportedParameter

          void unsupportedParameter(String paramName)

    - #### flowNotAllowed

          void flowNotAllowed(String flowName)

Copyright © 2016 JBoss by Red Hat. All rights reserved.